Subject: Re: [ANNOUNCE] Java Git (aka jgit) has switched to 3-clause BSD

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 7 Jun 2008 12:02:04 -0400

Robin Rosenberg <[email-masked]> wrote:

> I looked through the licensing info and it is inconsistent. In
> the feature.xml copyright section you dropped the mention of
> the GPL while the full license itself was retained later in the
> section. The latter is correct as we have do have the GPL code
> that you wrote in the visualization part .

Oy.  I thought I was correcting it, but I forgot code that I
wrote myself.  Not good.  Very bad mistake.
 
> Either we reintroduce mentioning GPL at the start or (you)
> relicense the graph parts.

It is my intent to relicense any code I have written in jgit as
3-clause BSD and any code I have written in egit as EPL.  The EPL
relicense I didn't start the discussion thread for yet, but its
where I am trying to go.

> To what extent I still have code in there, I have no objections
> to changing it to either EPL (or LGPL for consistency reasons). I
> can do the editorial change the license if you confirm that there
> are no issues.

EPL for egit code please.  It trivially makes us compatible with the
Eclipse foundation's own code and simplifies our project proposal
with them.
 
> $ git ls-files -z |xargs -0 grep -l "GNU G"
> org.spearce.egit-feature/feature.xml
> 	inconsistent as mentioned above
> 
> org.spearce.egit.core/COPYING
> 	only mentions LGPL
> org.spearce.egit.core/src/org/spearce/egit/core/ResourceList.java
> org.spearce.egit.core/src/org/spearce/egit/core/internal/storage/KidCommit.java
> org.spearce.egit.core/src/org/spearce/egit/core/internal/storage/KidCommitList.java
> org.spearce.egit.core/src/org/spearce/egit/core/internal/storage/KidWalk.java
> org.spearce.egit.core/src/org/spearce/egit/core/op/CloneOperation.java
> 	GPL licensed

Any of this that I wrote, EPL please.

> org.spearce.egit.ui/COPYING
> 	only mentions LGPL
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/CommitFileDiffViewer.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/CommitGraphTable.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/CommitMessageViewer.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/CommitNavigationListener.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/FileDiff.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/FileDiffContentProvider.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/FileDiffLabelProvider.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/GenerateHistoryJob.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/GitHistoryPage.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/GraphContentProvider.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/GraphLabelProvider.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/SWTCommit.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/SWTCommitList.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/SWTPlotRenderer.java
> org.spearce.egit.ui/src/org/spearce/egit/ui/internal/history/SWTWalk.java
> 	GPL licensed

Any of this that I wrote, EPL please.  I'm fairly certain Roger
wrote some of this code as well, and its derived from your original
plotting code.  We should make sure it is acceptable to him as well.

Thanks for noticing Robin.

-- 
Shawn.